LINUX.ORG.RU

archlinux x32 и aur

 , ,


0

2

Сообщество, прошу совета. Есть старый нетбук lenovo s9, поставил на него арч, но никак не могу нормально работать с AUR. На десктопе пользуюсь yaourt и не жалуюсь, а вот на нетбуке что не пробовал - не работает. yaourt не могу поставить, у того зависимость package-query, а она никак не хочит ставиться, жалуется что на архитектуре pentium4 работать не может. Тоже самое и с pacaur, там другая зависимость, но тоже жалуется что под p4 не будет работать. Прошу посоветовать, что что можно установить на кроху, чтобы можно было нормально тянуть и устанавливать софт c aur.

у того зависимость package-query, а она никак не хочит ставиться

Так поправь PKGBUILD для пакетов. Я думаю либа для JSON не должна особо то зависеть от архитектуры. Добавь в arch для i686 или как там.

Но вообще есть же: https://cdimage.debian.org/debian-cd/current/i386/iso-cd/debian-10.2.0-i386-n...

insw ()
Ответ на: комментарий от parabrando

Ставь Windows 7 pro и не выделывайся. Она точно будет работать. А арчу уже два ядра на 2000 мгц и 4 гига памяти мало. Ибо это линукс, который внезапно разучился с памятью работать и очень надежно на этом месте сдыхает.

loxo ()

А в чем проблема поставить ванильный 64-битный Рач? Я на 64-битный онтопик переехал еще во времена Sempron 2600+ А это ни много ни мало 15 лет назад.

qtm ()
Ответ на: комментарий от parabrando

Вопрос по сути в помошнике для aur

Попробуй pikaur.

Только не забудь в PKGBUILD оставить архитектуру ТОЛЬКО pentium4.

Установить можешь из дополнительного репозитория «archlinuxcn».

Macrocosm ()
Последнее исправление: Macrocosm (всего исправлений: 1)

да гемор и manjaro32 и arch32, они в процессе перехода на pentium4 архитектуру уже как полгода, криво, косо, кособоко, в aur все плюнули на 32 бита.

Для i686 прилично сделан voidlinux с xbps-src (ну для простых условияй и всякие экстракты deb/rpm для установки нужного можно) ну и дебиан/devuan.

One ★★★★ ()
Ответ на: комментарий от Macrocosm

Вообще шоколад, просто песня! Все получилось очень даже просто. У package-guery в PKGBULD’е заменил i686 на petntium4 и пакет разом собрался! А у yaourt’а в пкгбилде просто ‘any’ стоит. Все собралось и запустилось. Да че-то сам не допер, побоялся зависимостей, а решение на поверхности лежало. Но это бесценный опыт) Ребятушки, всем большое спасибо. Всем кто советовал. Очень помогли, а то уже в сторону void начал поглядывать) Спасибо.

parabrando ()